//////////////////////////////////////////////////////////////////
// SEG_JIPUpdate.sqf | Sahrani Electrical Grids v1.05
// Created by: Loyalguard
//////////////////////////////////////////////////////////////////

/* SCRIPT NOTES:  This script updates new JIP palyers with the current status of the electrical grid(s)  */

// If not the server then this script exits so that only consistent variables stored on the server are broadcast.
 
if (!isServer) exitWith {};
 
// Broadcasts to all client the current values of the two core variables denoting the status of each grid: Susbstation Damage and Power Status.  Only broadcasts if the variables are already defined in SEG_Init.sqf.

if (!isNil "LYGD_ParSubPower") then
{
	publicVariable "LYGD_ParSubDamage";
	publicVariable "LYGD_ParSubPower";
};
if (!isNil "LYGD_OrtNSubPower") then
{
	publicVariable "LYGD_OrtNSubDamage";
	publicVariable "LYGD_OrtNSubPower";
}; 
if (!isNil "LYGD_OrtSSubPower") then
{
	publicVariable "LYGD_OrtSSubDamage";
	publicVariable "LYGD_OrtSubPower";
}; 
if (!isNil "LYGD_DolSubPower") then
{
	publicVariable "LYGD_DolSubDamage";
	publicVariable "LYGD_DolSubPower";
}; 
if (!isNil "LYGD_CorWSubPower") then
{
	publicVariable "LYGD_CorWSubDamage";
	publicVariable "LYGD_CorWSubPower";
}; 
if (!isNil "LYGD_CorESubPower") then
{
	publicVariable "LYGD_CorESubDamage";
	publicVariable "LYGD_CorESubPower";
}; 
if (!isNil "LYGD_BagSubPower") then
{
	publicVariable "LYGD_BagSubDamage";
	publicVariable "LYGD_BagSubPower";
};