 //////////////////////////////////////////////////////////////////
// SEG_SubHum.sqf | Sahrani Electrical Grids v1.05
// Created by: Loyalguard
//////////////////////////////////////////////////////////////////

/* SCRIPT NOTES: This script is executed when a trigger at each substation activates when the player is within 25-40m and it causes the game logic at that substation to emit an electrical humming noise when power is on.*/

// This script should only run on the player's client as implemented by the line below.

if (!Local Player) exitWith {};

// the _location variable is set by an argument passed by the activating trigger.  The parameter is then stored in _location for use by the swtich-do block. 

_location = _this select 0;

// This switch-do block causes the game logic at the substation as determined by _location to emit an electrical humming noise to indicate power is on..

switch (_location) do
{
	case "ParSubHum":
	{
		while {LYGD_ParSubHum} do 
		{
			logicParSub say ["hum",5];
			sleep 2.5;
		};
	};
	case "OrtNSubHum":
	{
		while {LYGD_OrtNSubHum} do 
		{
			logicOrtNSub say ["hum",5];
			sleep 2.5;
		};
	};	
	case "OrtSSubHum":
	{
		while {LYGD_OrtSSubHum} do 
		{
			logicOrtSSub say ["hum",5];
			sleep 2.5;
		};
	};	
	case "DolSubHum":
	{
		while {LYGD_DolSubHum} do 
		{
			logicDolSub say ["hum",5];
			sleep 2.5;
		};
	};	
	case "CorWSubHum":
	{
		while {LYGD_CorWSubHum} do 
		{
			logicCorWSub say ["hum",5];
			sleep 2.5;
		};
	};	
	case "CorESubHum":
	{
		while {LYGD_CorESubHum} do 
		{
			logicCorESub say ["hum",5];
			sleep 2.5;
		};
	};	
	case "BagSubHum":
	{
		while {LYGD_BagSubHum} do 
		{
			logicBagSub say ["hum",5];
			sleep 2.5;
		};
	};			
};