//////////////////////////////////////////////////////////////////
// init.sqf | Sahrani Electrical Grids
// Created by: Loyalguard
//////////////////////////////////////////////////////////////////

/* SCRIPT NOTES:  This is the init script for the Sahrani Electric Grids Demo Mission.  It executes the SEG init script and displays a hint for new players to learn how to use the grids.*/

//----------------------------------------------------------------
// Constants and Variables
//----------------------------------------------------------------
 
//----------------------------------------------------------------
// Server and Client Scripts and Commands
//----------------------------------------------------------------

setTerrainGrid 50;

_nul = [] execVM "SEG\SEG_Init.sqf"; // Execute the Sahrani Electrical Grids Init Script
waitUntil {LYGD_Grids}; // Suspends the remainder of the script (especially the JIP update) until the electrical grids have been created.
onPlayerConnected "[_id, _name] execVM ""SEG\SEG_JIPUpdate.sqf"""; // Executes a script that updates newly joined players.

hint "ACTIVATE YOUR NIGHT VISION!\n\n1. Approach the substation in front of you and turn the power OFF using the action menu. You may need to move in between the rows of the substation to access the menu.  You should see nearby street lamps by the bridge and across the river switch off.\n\n2.Turn the power back ON also using the action menu. Street lamps will switch back on.\n\n3. Place three satchel charges evenly throughout the substation. Retreat to a safe distance and detonate them. The substation should be completely destroyed, the corresponding street lights off, and no options to turn them back on or off.\n\n See the mission briefing for additional testing options."; 

//----------------------------------------------------------------
// Server-Only Scripts
//----------------------------------------------------------------
 
//----------------------------------------------------------------
//  Client-Only Scripts
//----------------------------------------------------------------